# Class SourceType | AnthropicClient
Represents the types of document sources that can be used in the Anthropic API.

# Class SourceType

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents the types of document sources that can be used in the Anthropic API.

    public static class SourceType

Inheritance
  object
  SourceType

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Fields

### Base64

The base64 encoded document source type.

    public const string Base64 = "base64"

#### Field Value

string

### Content

The custom content document source type.

    public const string Content = "content"

#### Field Value

string

### File

The file document source type.

    public const string File = "file"

#### Field Value

string

### Text

The text document source type.

    public const string Text = "text"

#### Field Value

string

### Url

The URL document source type.

    public const string Url = "url"

#### Field Value

string